[Overview][Constants][Types][Classes][Procedures and functions][Index] | Reference for unit 'idea' (#fcl)

# TIdeaCryptKey

Type for holding an encyption/decryption IDEA key.

## Declaration

Source position: idea.pp line 59

`type TIdeaCryptKey = array [0..7] of Word;`

## Description

The actual encryption or decryption key for IDEA is 64-bit long. This type is used to hold such a key. It can be generated with the EnKeyIDEA or DeKeyIDEA algorithms depending on whether an encryption or decryption key is needed.

## See also

EnKeyIDEA |  | Create an IDEA encryption key from a user key.
DeKeyIDEA |  | Create a decryption key from an encryption key.

Documentation generated on: Feb 26 2014